Ayikho i-KYC — awudingi umazisi, selfie noma amadokhumenti
Ulimi: IsiZulu
Khetha i-1 GB

Inkomba ye-API

Ama-port eselula nokushintsha i-IP

Ama-port e-4G/5G abekelwe amakhasimende: shintsha i-IP manje noma ngesikhathi esibekiwe, usebenzise isixhumanisi sokushintsha, ufunde idatha yansuku zonke.

Kuvini okugcwele: · 7 imizuzu yokufunda

Izindawo zokuxhumana kuleli khasi

  • GET /v1/mobile: Bhala uhlu lwama-port eselula
  • GET /v1/mobile/{portId}: Thola i-port yeselula
  • PATCH /v1/mobile/{portId}: Qamba kabusha, vula/vala ukuvuselela okuzenzakalelayo noma usethe ukushintsha amakheli okuzenzakalelayo
  • POST /v1/mobile/{portId}/rotate: Shintsha i-IP manje
  • GET /v1/mobile/{portId}/rotate: Isixhumanisi sokushintsha (i-GET enokhiye we-API emugqeni wombuzo)
  • POST /v1/mobile/{portId}/reset-password: Khiqiza iphasiwedi entsha ye-proxy ye-port
  • GET /v1/mobile/{portId}/usage: Idatha yansuku zonke nge-port (ukwazisa: idatha engenamkhawulo, ngaphansi kokusetshenziswa okufanele)
  • GET /v1/catalog/countries/{countryCode}/carriers: Izinkampani zamanethiwekhi eselula ezinama-port e-4G/5G atholakalayo ezweni

I-URL eyisisekelo https://africaproxies.com/api/v1. Ukuqinisekisa ukungena, amaphutha nemikhawulo: bheka isifinyezo se-API.

Bhala uhlu lwama-port eselula

GET/v1/mobile

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Impendulo 200 OK

{
  "data": [
    {
      "id": "mob_2v8k1q",
      "label": "AE Etisalat #1",
      "status": "active",
      "country": "AE",
      "city": null,
      "carrier": "etisalat",
      "carrierName": "Etisalat",
      "networkType": "4G",
      "currentIp": "203.0.113.201",
      "ipChangedAt": "2026-10-05T14:03:11Z",
      "endpoint": {
        "host": "gw.africaproxies.com",
        "httpPort": 7777,
        "socksPort": 7778
      },
      "username": "USERNAME",
      "password": "PASSWORD",
      "rotation": {
        "mode": "interval",
        "intervalMinutes": 10
      },
      "minRotationIntervalSeconds": 30,
      "rotationLink": "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
      "planId": "mob-30d",
      "autoRenew": false,
      "createdAt": "2026-10-05T14:03:11Z",
      "expiresAt": "2026-11-04T14:03:11Z"
    }
  ]
}

Izibonelo zezikhashana

curl
curl -s "https://africaproxies.com/api/v1/mobile" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Thola i-port yeselula

GET/v1/mobile/{portId}

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
portIdpathstringYebo—

Impendulo 200 OK

{
  "id": "mob_2v8k1q",
  "label": "AE Etisalat #1",
  "status": "active",
  "country": "AE",
  "city": null,
  "carrier": "etisalat",
  "carrierName": "Etisalat",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.africaproxies.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Izibonelo zezikhashana

curl
curl -s "https://africaproxies.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Qamba kabusha, vula/vala ukuvuselela okuzenzakalelayo noma usethe ukushintsha amakheli okuzenzakalelayo

PATCH/v1/mobile/{portId}

Qamba kabusha i-port, uvule/uvale ukuvuselela okuzenzakalelayo, noma usethe isikhathi sokushintsha okuzenzakalelayo kusukela njalo ngemizuzu 2 kuze kube njalo ngamahora 24: "rotation": { "mode": "interval", "intervalMinutes": 10 } (imizuzu 2–1440); i-"mode": "manual" iyakuvala. Ngaphandle kwalokho i-port igcina i-IP yayo uze uyishintshe, nakuba inkampani yenethiwekhi ingayishintsha yona ngezikhathi ezithile.

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
portIdpathstringYebo—

Umzimba wesicelo

IsibayaUhloboKudingekileIncazelo
labelstringChaizinhlamvu ezingadluli ku-60
autoRenewbooleanCha—
rotationobjectChaIsikhathi sokushintsha okuzenzakalelayo: { "mode": "interval", "intervalMinutes": 2–1440 } (kusukela njalo ngemizuzu 2 kuze kube njalo ngamahora 24), noma { "mode": "manual", "intervalMinutes": null } ukuze kushintshwe kuphela uma ucela.
Isibonelo: Ukushintsha okuzenzakalelayo
{
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  }
}
Isibonelo: Ngesandla
{
  "rotation": {
    "mode": "manual",
    "intervalMinutes": null
  }
}

Impendulo 200 OK

{
  "id": "mob_2v8k1q",
  "label": "AE Etisalat #1",
  "status": "active",
  "country": "AE",
  "city": null,
  "carrier": "etisalat",
  "carrierName": "Etisalat",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.africaproxies.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Izibonelo zezikhashana

curl
curl -s -X PATCH "https://africaproxies.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"rotation":{"mode":"interval","intervalMinutes":10}}'
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, json={"rotation": {"mode": "interval", "intervalMinutes": 10}}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ rotation: { mode: 'interval', intervalMinutes: 10 } }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Shintsha i-IP manje

POST/v1/mobile/{portId}/rotate

Ukushintsha ngakunye kuxhuma kabusha i-port yakho enkampanini yenethiwekhi ukuze ithole i-IP entsha, ngokuvamile kuthatha imizuzwana 5–15; ngezinye izikhathi inkampani ingabuyisa i-IP efanayo: vele ushintshe futhi. Kungabi ngaphezu kokukodwa njalo ngemizuzwana 30 nge-port (minRotationIntervalSeconds): isicelo sokushintsha esenziwe kusenesikhathi sibuyisa 429 rotation_too_soon no-Retry-After (imizuzwana yokulinda).

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
portIdpathstringYebo—

Impendulo 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Izibonelo zezikhashana

curl
curl -s -X POST "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/rotate" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/rotate", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/rotate`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

GET/v1/mobile/{portId}/rotate

Kufana ne-POST, kwezikripthi nakumabhukumaka: GET https://africaproxies.com/api/v1/mobile/{portId}/rotate?key=API_KEY. Ukhiye udinga imvume ye-proxies. I-format=text ibuyisa i-IP entsha njenge-text/plain.

Ukuqinisekisa imininingwane yokungena: ukhiye we-API kupharamitha yombuzo ethi key (ububanzi proxies), ukuze isixhumanisi sisebenze nakubhukhimakhi.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
keyquerystringYeboUkhiye wakho we-API (imvume ye-proxies).
portIdpathstringYebo—
formatqueryjson · textChaokuzenzakalelayo json

Impendulo 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Izibonelo zezikhashana

Khiqiza iphasiwedi entsha ye-proxy ye-port

POST/v1/mobile/{portId}/reset-password

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
portIdpathstringYebo—

Impendulo 200 OK

{
  "id": "mob_2v8k1q",
  "label": "AE Etisalat #1",
  "status": "active",
  "country": "AE",
  "city": null,
  "carrier": "etisalat",
  "carrierName": "Etisalat",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.africaproxies.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Izibonelo zezikhashana

curl
curl -s -X POST "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/reset-password" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/reset-password`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Idatha yansuku zonke nge-port (ukwazisa: idatha engenamkhawulo, ngaphansi kokusetshenziswa okufanele)

GET/v1/mobile/{portId}/usage

Okwazisa kuphela. Idatha engenamkhawulo ku-port yakho ebekelwe wena, ngaphansi kokusetshenziswa okufanele: inkampani yenethiwekhi inganciphisa ijubane noma imise okwesikhashana ukusetshenziswa okukhulu kakhulu.

Ukungena: isikhonkeyi API ku-header Authorization: Bearer API_KEY.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
portIdpathstringYebo—
fromquerystring (date)ChaUsuku lokuqala (UTC), lufakiwe. Okuzenzakalelayo = izinsuku 29 ngaphambi kuka-to.
toquerystring (date)ChaUsuku lokugcina (UTC), lufakiwe. Okuzenzakalelayo = namuhla. Isikhathi esingadluli ezinsukwini 366.

Impendulo 200 OK

{
  "from": "2026-10-04",
  "to": "2026-10-05",
  "totalBytes": 2350000000,
  "totalRequests": 48210,
  "points": [
    {
      "date": "2026-10-04",
      "bytes": 1200000000,
      "requests": 24800
    },
    {
      "date": "2026-10-05",
      "bytes": 1150000000,
      "requests": 23410
    }
  ],
  "byCountry": [
    {
      "country": "AE",
      "bytes": 2350000000
    }
  ]
}

Izibonelo zezikhashana

curl
curl -s "https://africaproxies.com/api/v1/mobile/mob_2v8k1q/usage" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/usage`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Izinkampani zamanethiwekhi eselula ezinama-port e-4G/5G atholakalayo ezweni

GET/v1/catalog/countries/{countryCode}/carriers

Okungagqizile: akudingi i-key ye-API.

Izinhinto

IgamaKu-UhloboKudingekileIncazelo
countryCodepathstringYeboI-ISO 3166-1 alpha-2, ngosonhlamvukazi.

Impendulo 200 OK

{
  "data": [
    {
      "id": "etisalat",
      "name": "Etisalat",
      "networkTypes": [
        "4G",
        "5G"
      ],
      "available": true,
      "cities": []
    }
  ]
}

Izibonelo zezikhashana

curl
curl -s "https://africaproxies.com/api/v1/catalog/countries/AE/carriers"
Python
import os
import requests

API = "https://africaproxies.com/api/v1"

r = requests.get(f"{API}/catalog/countries/AE/carriers", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://africaproxies.com/api/v1';

const res = await fetch(`${API}/catalog/countries/AE/carriers`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

1 GB $1.23 · Ukufaka imali ku-akhawunti kusukela ku $25

Khetha i-1 GB